
<button type="button" class="btn btn-info mt-2 mb-4" data-tooltip="tooltip" data-placement="top" title="Tambah"
            data-toggle="modal" data-target="#modal-center-tambah">
    <i class="bi bi-plus"></i> Tambah Link
</button>


<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Link</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
        </div>
    </div>
    <div class="card-body">
        <div class="table-responsive py-3">
            <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                <thead class="bg-info text-white">
                    <tr>
                        <th scope="col" class="text-center">#</th>
                        <th scope="col" class="text-center">Nama</th>
                        <th scope="col" class="text-center">Link</th>
                        <th scope="col" class="text-center">Tanggal</th>
                        <th scope="col" class="text-center">Status</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for link in links %}
                        <tr>
                            <th>{{ forloop.counter }}</th>
                            <td>{{ link.nama | truncatewords:15 }}</td>
                            <td>{{ link.link | truncatechars:30 }}</td>
                            <td>{{ link.created_at }}</td>
                            <td class="text-white {% if link.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                {% if link.deleted_at %}Hidden{% else %}Published{% endif %}
                            </td>
                            <td class="text-center">
                                <button href="#" class="btn btn-info btn-circle pass-data-detail" 
                                    data-tooltip="tooltip" data-placement="top" title="Detail"
                                    data-toggle="modal" data-target="#modal-center-detail"
                                    data-nama="{{ link.nama }}"
                                    data-link="{{ link.link }}">
                                    <i class="bi bi-info"></i>
                                </button>

                                <button href="#" class="btn btn-success btn-circle pass-data-ubah" 
                                    data-tooltip="tooltip" data-placement="top" title="Ubah"
                                    data-toggle="modal" data-target="#modal-center-ubah"
                                    data-id="{{ link.id }}"
                                    data-nama="{{ link.nama }}"
                                    data-link="{{ link.link }}">
                                    <i class="bi bi-pencil"></i>
                                </button>
                                
                                {% if link.deleted_at %}
                                    <button class="btn btn-success btn-circle" 
                                        onclick="restore_('Link ini', '{{ link.id }}', 'link', 'Link')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>
                                {% else %}
                                    <button href="#" class="btn btn-danger btn-circle" 
                                        onclick="delete_('soft_delete', 'Link ini', '{{ link.id }}', 'link', 'Link')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                {% endif %}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>

{% if request.user.is_staff %}
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Arsip Link</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-archive">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">#</th>
                            <th scope="col" class="text-center">Nama</th>
                            <th scope="col" class="text-center">Link</th>
                            <th scope="col" class="text-center">Tanggal</th>
                            <th scope="col" class="text-center">Status</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for archive in archives %}
                            <tr>
                                <th>{{ forloop.counter }}</th>
                                <td>{{ archive.nama | truncatewords:15 }}</td>
                                <td>{{ archive.link | truncatechars:30 }}</td>
                                <td>{{ archive.created_at }}</td>
                                <td class="text-white {% if archive.deleted_at %}bg-danger{% else %}bg-success{% endif %}">
                                    {% if archive.deleted_at %}Hidden{% else %}Published{% endif %}
                                </td>
                                <td class="text-center">
                                    <button href="#" class="btn btn-info btn-circle pass-data-detail" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail"
                                        data-toggle="modal" data-target="#modal-center-detail"
                                        data-nama="{{ archive.nama }}"
                                        data-link="{{ archive.link }}">
                                        <i class="bi bi-info"></i>
                                    </button>

                                    <button class="btn btn-success btn-circle" 
                                        onclick="restore_('Link ini', '{{ archive.id }}', 'link', 'Link')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>

                                    <button href="#" class="btn btn-danger btn-circle" 
                                        onclick="delete_('permanent_delete', 'Link ini', '{{ archive.id }}', 'link', 'Link')"
                                        data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                        <i class="bi bi-trash"></i>
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endif %}

<div class="modal fade" id="modal-center-tambah" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Tambah Link</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form action="{% url 'profile:admin_setting_link' %}" method="post">
                <div class="form-group">
                    <label for="{{ form.nama.id_for_label }}">Nama Link</label>
                    <input type="text" placeholder="Masukkan nama link..."
                        class="form-control {% if form.nama.errors %}is-invalid{% endif %}"
                        name="{{ form.nama.name }}"
                        id="{{ form.nama.id_for_label }}" 
                        maxlength="{{ form.nama.field.max_length }}"
                        {% if form.nama.value != None %}value="{{ form.nama.value|stringformat:'s' }}"{% endif %}
                        {% if form.nama.field.required %}required{% endif %} >
                    {% if form.nama.errors %}
                        <div class="invalid-feedback">
                            {{ form.nama.errors }}
                        </div>
                    {% endif %}
                </div>

                <div class="form-group">
                    {% csrf_token %}
                    <label for="{{ form.link.id_for_label }}">Alamat Link</label>
                    <textarea 
                            class="form-control {% if form.link.errors %}is-invalid{% endif %}" 
                            id="{{ form.link.id_for_label }}" 
                            name="{{ form.link.name }}"
                            maxlength="{{ form.link.field.max_length }}"
                            {% if form.link.field.required %}required{% endif %}
                            placeholder="https://www.google.com/"
                            rows="5">{% if form.link.value != None %}{{ form.link.value|stringformat:'s' }}{% endif %}</textarea>
                        {% if form.link.errors %}
                            <div class="invalid-feedback">
                                {{ form.link.errors }}
                            </div>
                        {% endif %}
                    </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-info">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-center-ubah" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Edit Link</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <form action="{% url 'profile:admin_setting_link_edit' %}" method="post">
                {% csrf_token %}
                <input type="hidden" name="id" id="ubah-id" value="">
                <div class="form-group">
                    <label for="ubah-nama">Nama Link</label>
                    <input type="text" placeholder="Masukkan nama link..." class="form-control" name="nama" id="ubah-nama"  maxlength="100">
                </div>
                <div class="form-group">
                    <label for="ubah-link">Alamat Link</label>
                    <textarea  class="form-control" id="ubah-link" name="link" maxlength="500" required rows="5" placeholder="https://www.google.com/"></textarea>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-info">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-center-detail" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Detail Link</h5>
            <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <div class="text-right mb-1">
                    <a href="" id="detail-visit" class="ml-2" target="_blank"> 
                        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-send"></i> Kunjungi Link</button>
                    </a>
                </div>
                <div class="form-group">
                    <label for="detail-nama">Nama Link</label>
                    <input type="text" placeholder="Masukkan nama link..." class="form-control" name="nama" id="detail-nama"  maxlength="100" disabled>
                </div>
                <div class="form-group">
                    <label for="detail-link">Alamat Link</label>
                    <textarea  class="form-control" id="detail-link" name="link" maxlength="500" required rows="5" disabled></textarea>
                </div>
            </div>
        </div>
    </div>
</div>